﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SilverMC
{
    public class Constants
    {
        public const string VERSION_JSON ="http://s3.amazonaws.com/Minecraft.Download/versions/versions.json";
        public const string VERSION_FILE_JSON = "http://s3.amazonaws.com/Minecraft.Download/versions/{0}/{0}.json";
        public const string ASSETS_JSON = "http://s3.amazonaws.com/Minecraft.Download/indexes/{0}.json";
        public const string ASSETS_FILE = "http://resources.download.minecraft.net/{0}/{1}";
        public const string LIBRARY_FILE = "https://libraries.minecraft.net/";
        public const string JAR_FILE = "https://s3.amazonaws.com/Minecraft.Download/versions/{0}/{0}.jar";
        public const string LOGIN_URL = "http://login.minecraft.net/?user={0}&password={1}&version=14";
        public const string AUTH_URL_AUTHENTICATE = "https://authserver.mojang.com/authenticate";
        public const string AUTH_URL_REFRESH = "https://authserver.mojang.com/refresh";
        public const string AUTH_URL_VALIDATE = "https://authserver.mojang.com/validate";
        public const string AUTH_URL_INVALIDATE = "https://authserver.mojang.com/invalidate";
        public const string AUTH_URL_SIGNOUT = "https://authserver.mojang.com/signout";

        public const string FORGE_URL = "http://files.minecraftforge.net/maven/net/minecraftforge/forge/{0}/forge-{0}-installer.jar";
        public static string BASE_PATH = System.Windows.Forms.Application.StartupPath + "\\";
    }
}
