﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SilverMC
{
    public class GameProfile
    {
        public string DisplayName { get; set; }
        public string Version { get; set; }

        public int Width { get; set; }
        public int Height { get; set; }

        public bool JoinServer { get; set; }
        public string ServerAddress { get; set; }
        public int ServerPort { get; set; }

        public int JavaXms { get; set; }
        public int JavaXmx { get; set; }
        public int JavaNewSize { get; set; }
        public int JavaMaxNewSize { get; set; }
        public int JavaPermSize { get; set; }
        public int JavaMaxPermSize { get; set; }
        public int JavaNewRatio { get; set; }
        public int JavaServivorRatio { get; set; }

        public int AcountIndex { get; set; }

        public bool ShowDOS { get; set; }

        public bool InForge { get; set; }
        public string ForgeVersion { get; set; }

        public override string ToString()
        {
            return "GameProfile{" + Version + ", " + DisplayName + "}";
        }
    }
}
