﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SilverMC
{
    public partial class OptionWindow : Form
    {
        //private string regKey = "\\HKEY_LOCAL_MACHINE\\SOFTWARE\\Classes\\mccqp\\Shell\\Open\\Command";
        private SilverMCData config;

        public OptionWindow(SilverMCData cfg)
        {
            InitializeComponent();
            config = cfg;
            
        }

        private void btnFinish_Click(object sender, EventArgs e)
        {
            config.StartWait = checkBusy.Checked;
            config.OfflinePlay = checkOffline.Checked;
            config.Buttons = tbButtons.Text.Replace("\r\n", "\n").Split('\n');
            config.JavaPath = tbJava.Text;
            config.DrawString = tbStr.Text;
            this.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.Hide();
        }

        private void OptionWindow_Load(object sender, EventArgs e)
        {
            textBox3.Text = MainWindow.VERSION;
            tbJava.Text = config.JavaPath;
            tbStr.Text = config.DrawString;
            tbButtons.Text = String.Join("\r\n", config.Buttons);
            checkOffline.Checked = config.OfflinePlay;
            checkBusy.Checked = config.StartWait;
        }
    }
}
